<?PHP include('header.php');

if(isset($_GET["newfeed"])){
$ident=intval($_GET["newfeed"]);
if(isset($_POST["ask_feed"])){
$feed=check_text($_POST["ask_feed"]);
$reyt=intval($_POST["reyt"]);
$zapr1=mysql_query("SELECT id from seo_taskcomms WHERE ident='$ident' and fromid='".$_SESSION["iduser"]."' and ident IN(SELECT ident from seo_taskstats WHERE status='1' and fromid='".$_SESSION["iduser"]."' and ident='$ident')") or die(mysql_error());
	
if(mysql_num_rows($zapr1)==0 and mysql_num_rows(mysql_query("SELECT id from seo_taskcomms WHERE ident='$ident' and fromid= '".$_SESSION["iduser"]."' and ident IN(SELECT ident from seo_taskstats WHERE status!='1' and fromid='".$_SESSION["iduser"]."' and ident='$ident')"))==0){
$nowtime=time();
mysql_query("insert into seo_taskcomms (fromid,ident,time,`text`,reyt) values ('".$_SESSION["iduser"]."','$ident','$nowtime','$feed','$reyt')") or die(mysql_error());
$allreyt=mysql_result(mysql_query("SELECT sum(reyt) from seo_taskcomms where ident='$ident'"),0);
$all=mysql_result(mysql_query("SELECT count(id) FROM seo_taskcomms where ident='$ident'"),0);
$srreyt=$allreyt/$all;
$srreyt=round($srreyt,2);
		
mysql_query("UPDATE seo_tasks SET reyt='$srreyt' where id='$ident'") or die(mysql_error());
}

?><script type="text/javascript">
	location.replace("tasks.php?viewfeeds=<?=$ident ?>");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=tasks.php?viewfeeds=<?=$ident ?>">
	</noscript>
<?
exit();
}
	?>
	<table class='letter' width='100%' border='0' cellpadding='0' cellspacing='0'>
	   <tr class='top'><td class='empty' style='padding-top: 10px;'>Отзывы о задании № <?=$ident ?> (последние выше)</td></tr>
	   <tr><td>
	<span class="letter-subtitle">Ваш отзыв о задании:</span>
	Пожалуйста учтите, что Отзыв - это не связь с рекламодателем.
	<br>Даже если вместо отзыва вы зададите вопрос, вы не получите на него ответ.
	<form name="feedform" method="post" action="" onsubmit="return SbmFeedForm(); return false;">
	<textarea class="replyarea" cols="40" rows="5" name="ask_feed" style="margin-top: 5px;"></textarea>
	<br>Ваша оценка:<br>
	<select name="reyt"><option value="0" selected="selected">Воздержусь</option>
	<option value="5">5 - Отличное задание</option>
	<option value="4">4 - Хорошее задание</option>
	<option value="3">3 - Так себе</option>
	<option value="2">2 - Плохое задание :(</option>
	<option value="1">1 - Очень плохо :((</option></select>
	<br><br>
	<input class="btn-blue136" title="Отправить отзыв о задании" value="Отправить отзыв" type="submit">
	</form>
	</td></tr><tr class='bot'><td class='empty'></td></tr></table>
<?
}
if(isset($_GET["viewfeeds"])){
$ident=intval($_GET["viewfeeds"]);

	$zapr="SELECT * FROM seo_taskcomms where ident='$ident' ORDER by time desc";
	if(!isset($_GET["all"])) $zapr.=" LIMIT 0,30";
	
	$sql=mysql_query($zapr) or die(mysql_error());
	if(mysql_num_rows($sql)==0){
		echo "<span class='msgbox-error'>Комментариев нет!</span>";
		include('footer.php');
		exit;
	}
	?>
	<h1>Здесь зарабатывают на выполнении заданий</h1>
	<a href='tasks.php?view=<?=$ident ?>'><h2>Перейти к заданию</h2>
	</a>
	
	<table class='letter' width='100%' border='0' cellpadding='0' cellspacing='0'>
	   <tr class='top'><td class='empty' style='padding-top: 10px;'>Отзывы о задании № <?=$ident ?> (последние выше)</td></tr>
	   <tr><td>
	   <table class='job-note' width='100%' border='0' cellpadding='0' cellspacing='0'>
	   
	   <? while($row=mysql_fetch_assoc($sql)){
	   $res=mysql_fetch_assoc(mysql_query("SELECT * FROM b_users WHERE id='$row[fromid]'"));
	   ?><tr><td style='padding: 2px 4px 2px 0; text-align: center;'>
	   <img class='avatar' src='/avp/<?=$res["avatar"]; ?>' border='0' width='60' height='60' alt='avatar' />
	   <span class='desctext'>Репутация:</span><br />
<? if($res["taskreyt"]>0){
echo "<span class='textgreen'>+".$res["taskreyt"]."</span>";
}elseif($res["taskreyt"]==0){?><span class='textgray'><?=$res["taskreyt"]; ?></span>
<?
}elseif($res["taskreyt"]<0) { ?><span class='textred'>-<?=$res["taskreyt"]; ?></span>
<?
}
?>
	</td><td align='left' width='90%' style='padding: 4px;'><b><?=$res["username"]; ?></b> (ID: <?=$row["fromid"]; ?>)
	<span class='job-reply'><?=nl2br($row["text"]); ?></span>
	<span class='rating<?=intval($row["reyt"]); ?>w' title='Отзывы о задании: Отличное'></span></td></tr>
<?
}
?></table>
</td></tr><tr class='bot'><td class='empty'><?
if(!isset($_GET["all"])){
?><a href='tasks.php?viewfeeds=<?=$ident?>&all=1'><h2>Посмотреть все <?=mysql_num_rows($sql) ?> комментариев</h2></a>
<?
}
?></td></tr></table>
<?
include('footer.php'); exit();
}

if(isset($_GET["view"])){
$id=intval($_GET["view"]);

$sql=mysql_query("SELECT * FROm seo_tasks WHERE modered='1' and balance>price and paused=0 and id='$id'");
if($user_status=='moder') $sql=mysql_query("SELECT * FROm seo_tasks WHERE id='$id'");
if(mysql_num_rows($sql)!=0){
	$row=mysql_fetch_assoc($sql);
	if(isset($_GET["addfav"])){
		mysql_query("INSERT INTO `seo_favtasks` (fromid,ident) values ('".$_SESSION["iduser"]."','$id')");
		}
			if(isset($_GET["delfav"])){
		mysql_query("delete from `seo_favtasks` where `ident`='$id' and `fromid`='".$_SESSION["iduser"]."'");
		}
$domen=$row["url"];
$domen = str_replace("//","/",$domen);
$domen = str_replace("www.","",$domen);
$domen = explode("/", $domen);
$domen=$domen[1];
if (strlen($domen) > 20) { $domen=substr($domen,0,30).""; }
?>
<span class='top-bl-s-verh'>Оплачиваемые задания</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Внимательно прочтите и точно следуйте инструкции к выполнению задания. 
Рекламодатель имеет право отклонить вашу работу, если условия выполнения не были соблюдены в полной мере. 
Помните так же, что существует максимальный срок, за который вы должны успеть выполнить задание. 
По истечении этого срока заявка на выполнение аннулируется.
</td></tr>
</table>
<? $res=mysql_fetch_assoc(mysql_query("SELECT * FROM b_users WHERE id='$row[fromid]'")); ?>

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>

<td width="20%" rowspan="6" >
<center><div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:70px;'>
<img src="/avp/<?=$res["avatar"]; ?>" width="62" height="62" border="0">
</div><br />
<a class='reputation1'>
<? if($res["taskreyt"]>0){?>
<?=$res["taskreyt"]; ?>
<?
}elseif($res["taskreyt"]==0){?><?=$res["taskreyt"]; ?>
<?
}elseif($res["taskreyt"]<0) { ?>-<?=$res["taskreyt"]; ?>
<?
}
?>
</a>	</center></td> 

<td width="35%" align='left' >
<font color=#696969><b> <b>Рекламодатель:</b></font></td>
<td width="45%" class='value' align='left' ><span style="font-size: 12px;"><?=$res["username"]; ?> </span>
<td class=value width="5%"><a href="/mail.php?p=4&to=<?=$row["fromid"]; ?>"><div class='tsk-mail'></div></a></td>
</td>
</tr>
<tr>
<td align='left' ><span style="font-size: 12px; font-weight: bold">Название:</span></td>
<td class='value' align='left' ><?=$row["name"]; ?></td>
<td class=value width="5%">	   <? if(mysql_num_rows(mysql_query("SELECT id FROM seo_favtasks WHERE ident='$id' and fromid='".$_SESSION["iduser"]."'"))==0)
	   {
	   ?>
	   <a class='task-favorite' href='tasks.php?view=<?=$id ?>&addfav' title='Добавить задание в Избранное'></a>
	   <?
	   }else{
	   ?><a class='task-favoriteout' href='tasks.php?view=<?=$id ?>&delfav' title='Удалить из избранного'></a>
	   <?
	   }
	   ?></td>
</tr>
<tr>
<td align='left' ><span style="font-size: 12px; font-weight: bold">Отзывы:</span></td>
<td class='value' align='left' ><a href='/tasks.php?viewfeeds=<?=$row["id"]; ?>'><?=mysql_num_rows(mysql_query("SELECT id FROM seo_taskcomms WHERE ident='".$row["id"]."'")); ?></a> шт.</td>
<td class=value width="5%">	   <?
	   if(mysql_num_rows(mysql_query("SELECT id FROM seo_taskstats WHERE ident='$id' and fromid='".$_SESSION["iduser"]."' and status='1'"))!=0)
	   {
	   ?>
	   <a href='/tasks.php?newfeed=<?=$row["id"]; ?>'><img src="/img/isq.gif"></a>
	   <?
	   } ?></td>
</tr>
<tr>
<td align='left' ><font color=#696969><b> <b>Рейтинг задания:</b></font></td>
<td class='value' align='left' ><span class='rating<?=intval($row["reyt"]) ?>w' title=''></span></td>
<td class=value width="5%"></td>
</tr>
<tr>
<td align='left' ><font color=#696969><b> <b>Оплата:</b></font></td>
<td class='value' align='left' ><font color=red><?=round($row["price"]*5/6 ,2); ?></font>&nbsp; руб.</td>
<td class=value width="5%"></td>
</tr>
<tr>
<td class='value' align='left' ><span style="font-size: 12px; color: green; font-weight: bold">Одобрено: <?=$row["goods"]; ?></span></td>
<td class='value' align='left' ><span style="font-size: 12px; color: red; font-weight: bold">Отклонено: <?=$row["no"]; ?></span></td>
<td class=value width="5%"></td>
</tr></table>
<div id='maintask'>
	   <span class="task-subtitle">Описание задания:</span>
	   <center style="color: #D26B07; margin-bottom: 5px;">Совет - Перед тем как приступить выполнять задание, посмотрите статистику и отзывы рекламодателя (автора задания), чтобы не быть обманутым мошенником.</center>
             <h2 style="margin-top: -2px;">Для выполнения задания нажмите кнопку<br>"Начать выполнение"</h2>
<span class="taskdescription">
	   <?=nl2br(bbcode($row["text"],"html")); ?></span>
	   <span class="task-subtitle">Что нужно указать в отчёте о выполненном задании:</span>
	   <span class="taskquestion">
	   <?=$row["description"]; ?></span>
	   <div id="entermsg"></div><center><span class="task-subtitle">
	   <b>На выполнение этого задания выделяется не более 
	   <?
	   if($row["maxtime"]==3600) echo "1 часа"; 
	   if($row["maxtime"]==7200) echo "2x часов";
	   if($row["maxtime"]/3600==6) echo "6 часов";
	   if($row["maxtime"]/3600==12) echo "12 часов";
	   if($row["maxtime"]==86400) echo "1 дня";
	   if($row["maxtime"]/86400==2) echo "2x дней";
	   if($row["maxtime"]/86400==3) echo "3x дней";
	   if($row["maxtime"]/86400==4) echo "4x дней";
	   if($row["maxtime"]/86400==5) echo "5 дней";
	   if($row["maxtime"]/86400==6) echo "6 дней";
	   if($row["maxtime"]/86400==7) echo "7 дней";
	   if($row["maxtime"]/86400==10) echo "10 дней";
	   if($row["maxtime"]/86400==15) echo "15 дней";
	   if($row["maxtime"]/86400==20) echo "20 дней";
	   if($row["maxtime"]/86400==30) echo "30 дней";
	   ?>
	   !</b><br /><br />Чтобы выполнить задание, нажмите на кнопку «Начать выполнение». 
	   Необходимую подтверждающую информацию о выполнении задания нужно будет ввести здесь же,
	   <br />на странице задания. Успехов!</span></center><div id="goprocess"></div>
	   <?  if(isset($_POST["ask_reply"])){
	   if(isset($_POST["reset"])){
	   mysql_query("DELETE FROM seo_taskstats WHERE ident='$id' and fromid='".$_SESSION["iduser"]."'");
	   mysql_query("UPDATE seo_tasks SET works=works-1 WHERE id='$id'");
	   }else{
	   $reply=check_text($_POST["ask_reply"]);
			if(mysql_num_rows(mysql_query("SELECT id FROM seo_taskstats WHERE status='3' and ident='$id' and fromid='".$_SESSION["iduser"]."'"))!=0){
			$ntime=time();
				$myid=mysql_result(mysql_query("SELECT id FROM seo_taskstats WHERE status='3' and ident='$id' and fromid='".$_SESSION["iduser"]."'"),0);
				mysql_query("UPDATE seo_taskstats SET anstime='$ntime',answer='$reply',status=0 where id='$myid'");
				mysql_query("UPDATE seo_tasks SET waits=waits+1,works=works-1 WHERE id='$id'");
			echo '<span class="taskquestion"><center>Ваш запрос принят</center></span>';
			}
			}
		}
if(isset($_POST["adv"])){
$who_task = mysql_num_rows(mysql_query("SELECT `id` FROM `seo_tasks` WHERE `fromid`='".$_SESSION["iduser"]."' AND `id`='$id'"));
if($who_task == 0){
$count_start = mysql_num_rows(mysql_query("SELECT `id` FROM `seo_taskstats` WHERE `fromid`='".$_SESSION["iduser"]."' AND `ident`='$id'"));
if($count_start == 0){
$nowtime = time();
mysql_query("INSERT INTO `seo_taskstats` (`fromid`,`starttime`,`status`,`ident`) VALUES ('".$_SESSION["iduser"]."','$nowtime','3','$id')");
mysql_query("UPDATE `seo_tasks` SET `works`=`works`+'1' WHERE `id`='$id' AND `fromid`<>'".$_SESSION["iduser"]."'");
}else{
echo "<span class='taskquestion'><center>Вы уже начали выполнять это задание!</center></span>";
}
}else{
echo "<span class='taskquestion'><center>Вы не можете выполнять своё задание!</center></span>";
}
}
$ident = intval($_GET["view"]);
$sql2=mysql_query("SELECT * FROM seo_taskstats WHERE ident='$id' and fromid='".$_SESSION["iduser"]."'");
if(mysql_num_rows($sql2)!=0){
$zer=mysql_fetch_assoc($sql2);
if($zer["status"]==1 OR $zer["status"]==2){
echo "<span class='taskquestion'><center>Вы уже выполняли это задание!</center></span>";
}elseif($zer["status"]==0){
echo "<span class='taskquestion'><center>Заданиe находится на проверке у рекламодателя</center></span>";
}else{
?>
<div id="rwait">
      <ul class="arrowtitle">
      <li>Вы начали выполнять это задание <b><?=date("<b>d.m.Y</b> в <b>H:i</b>", $zer["starttime"]); ?></b></li>
      <li>Отчёт о выполнении необходимо подать не позднее <b><?=date("<b>d.m.Y</b> в <b>H:i</b>", $zer["starttime"]+$row["maxtime"]); ?></b></li>
      </ul>
<span class="taskdescription">Если отчёт не будет подан, по прошествии указанного срока, заявка на выполнение будет аннулирована. 
      Если вы полностью выполнили задание, напишите в форме ниже то, что необходимо указать для подтверждения 
	  и нажмите кнопку «Отправить отчёт». Если вы не собираетесь выполнять задание, нажмите кнопку 
      «Отказаться от выполнения».</span>
	  </div>
      <center>
			<span class="desctext" style="margin: 10px 0; display: block;">Ваш IP адрес: <?=$_SERVER["REMOTE_ADDR"] ?></span>
			<form name='submitform' method='post' action=''>
			
			<textarea class='replyarea' cols='40' rows='5' name='ask_reply' style='margin-top: 5px;'></textarea>
			<br />
			<input name='submit' class="button-big-flat-green" type='submit' title='Отправить отчёт о выполнении' value='Отправить отчёт' />
<span class="desctext" style="margin: 10px 0; display: block;">Чтобы выполнить задание, вы переходили по <a href="<?=$row["url"]; ?>" target="_blank">этой ссылке</a>
</span><input name='reset' class="button-big-flat-red" type='submit' title='Отказаться от выполнения' value='Отказаться' />
			</form>
			
			</div>
			<?
			}
			?>   
<?

}else{
$zer=mysql_fetch_assoc($sql2);
$zhopa = (isset($zhopa)) ? $zhopa : NULL;
if($row["many"]==1 and $zer["anstime"]+86400<time()){
$zhopa=1;
?>	   
<form name='goform' method='post' action=''>
	   
	   <input type='hidden' name='adv' value='3204' />
<center><input class="button-big-flat-green" style="margin-top: 15px; margin-bottom: 10px;" type='submit' title='Приступить к выполнению задания' value='Начать выполнение' onclick="window.open('<?=$row["url"]?>','_blank')"/></center></form>
<center><span class="desctext">Будет произведён переход на сайт<br><?=$domen?></span></center>
	   </div> 
	  <?
	 }
	 
}
if(mysql_num_rows(mysql_query("SELECT id from seo_taskstats WHERE ident='$ident' and fromid='".$_SESSION["iduser"]."'"))==0 and $zhopa!=1){		?>
	   	   
<form name='goform' method='post' action=''>
	   
	   <input type='hidden' name='adv' value='3204' />
<center><input class="button-big-flat-green" style="margin-top: 15px; margin-bottom: 10px;"  type='submit' title='Приступить к выполнению задания' value='Начать выполнение' onclick="window.open('<?=$row["url"]?>','_blank')"/></center></form>
<center><span class="desctext">Будет произведён переход на сайт<br><?=$domen?></span></center>
	   </div>
<?
}
}

include('footer.php'); exit();
}
?>
<span class='top-bl-s-verh'>Оплачиваемые задания</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
На <span class="seosprint"><?=$sitename ?></span> есть много чего, за что платят 
реальные деньги: просмотр рекламных сайтов, чтение писем, участие в тестах и опросах, 
а так же выполнение несложных заданий. Работа не пыльная и интересная. 
А вместе с рефераллами - ещё и весьма доходная!
</td></tr>
</table>
<?
$zapros = NULL;

if(isset($_GET["cat"]) && $_GET["cat"] !=  100 && $_GET["cat"]!='') {
$cat = intval($_GET["cat"]); $zapros = "AND `cat`='".intval($_GET["cat"])."' ";
}else{
$_GET["cat"] = '100'; $cat = '100';
}
$_GET["status"] = (isset($_GET["status"])) ? intval($_GET["status"]) : '100';

if($_GET["status"]==100 OR $_GET["status"]=='') $zapros .= "";
if($_GET["status"]==101) $zapros.="AND `inblock`<>'0' ";
if($_GET["status"]==102) $zapros.="AND `many`='1' ";
if($_GET["status"]==4) $zapros.="AND `id` IN(SELECT `ident` FROM `seo_favtasks` WHERE `fromid`='".$_SESSION["iduser"]."') ";
if($_GET["status"]==0 and isset($_GET["status"]) and $_GET["status"]!='') $zapros.="AND `id` IN(SELECT `ident` FROM `seo_taskstats` WHERE `status`='3' AND `fromid`='".$_SESSION["iduser"]."') ";
if($_GET["status"]==3) $zapros.="AND `id` IN(SELECT `ident` FROM `seo_taskstats` WHERE `status`='0' AND `fromid`='".$_SESSION["iduser"]."') ";
if($_GET["status"]==1) $zapros.="AND `id` IN(SELECT `ident` FROM `seo_taskstats` WHERE `status`='1' AND `fromid`='".$_SESSION["iduser"]."') ";
if($_GET["status"]==2) $zapros.="AND `id` IN(SELECT `ident` FROM `seo_taskstats` WHERE `status`='2' AND `fromid`='".$_SESSION["iduser"]."') ";

if(isset($_GET["taskpricemin"]) and $_GET["taskpricemin"]!='') {
$minprice=floatval($_GET["taskpricemin"]);
$minprice=$minprice*1.2;
$zapros.="and price>$minprice ";
}else{$_GET["taskpricemin"] = NULL;$minprice = NULL;}
if(isset($_GET["taskpricemax"]) and $_GET["taskpricemax"]>$minprice and $_GET["taskpricemax"]!=''){
$maxprice=floatval($_GET["taskpricemax"])*1.2;
$zapros.="and price<$maxprice ";
}else{$_GET["taskpricemax"]=NULL;}
if(isset($_GET["tasknum"]) and $_GET["tasknum"]!='') { $num=intval($_GET["tasknum"]); $zapros="and id='$num'"; }else{ $_GET["tasknum"]=NULL;}
if(isset($_GET["taskuser"]) and $_GET["taskuser"]!='') { $us=intval($_GET["taskuser"]); $zapros="and fromid='$us'"; }else{$_GET["taskuser"]=NULL;}
if(isset($_GET["taskurl"]) and $_GET["taskurl"]!='') { $taskurl=check_text($_GET["taskurl"]);$zapros.="and url LIKE '%$taskurl%' "; }else{$_GET["taskurl"]=NULL;}


$sql=mysql_query("SELECT * FROM seo_tasks WHERE modered='1' and paused='0' and `balance`>`price` $zapros order by id desc") or die(mysql_error());

$kolvo = 15; //кол-во выводимых новостей на странице
$_GET["pg"] = (isset($_GET["pg"])) ? intval($_GET["pg"]) : NULL;
$allnews = mysql_num_rows($sql); //общее кол-во новостей
$vsego = intval(($allnews - 1) / $kolvo) + 1;  
if($vsego == 0) $vsego = 1;
$nowpage = intval($_GET["pg"]);
if(empty($nowpage) or $nowpage < 0) $nowpage = 1; 
if($nowpage > $vsego) $nowpage = $vsego; 
$gg = $nowpage * $kolvo - $kolvo; 

$sql=mysql_query("SELECT * FROM `seo_tasks` WHERE `modered`='1' AND `paused`='0' AND `balance`>`price` $zapros order by id desc limit $gg,$kolvo") or die(mysql_error());

// Находим две ближайшие станицы с обоих краев, если они есть 
if($nowpage - 2 > 0) {$page2left = ' <a class=selpage href= ./tasks.php?pg='. ($nowpage - 2) .'&cat='.$_GET["cat"].'&taskuser='.$_GET["taskuser"].'&tasknum='.$_GET["tasknum"].'&taskpricemax='.$_GET["taskpricemax"].'&taskpricemin='.$_GET["taskpricemin"].'&status='.$_GET["status"].'>'. ($nowpage - 2) .'</a> ';  }else{$page2left = NULL;}
if($nowpage - 1 > 0) {$page1left = '<a class=selpage href= ./tasks.php?pg='. ($nowpage - 1) .'&cat='.$_GET["cat"].'&taskuser='.$_GET["taskuser"].'&tasknum='.$_GET["tasknum"].'&taskpricemax='.$_GET["taskpricemax"].'&taskpricemin='.$_GET["taskpricemin"].'&status='.$_GET["status"].'>'. ($nowpage - 1) .'</a> ';  }else{$page1left = NULL;}
if($nowpage + 2 <= $vsego) {$page2right = ' <a class=selpage href= ./tasks.php?pg='. ($nowpage + 2) .'&cat='.$_GET["cat"].'&taskuser='.$_GET["taskuser"].'&tasknum='.$_GET["tasknum"].'&taskpricemax='.$_GET["taskpricemax"].'&taskpricemin='.$_GET["taskpricemin"].'&status='.$_GET["status"].'>'. ($nowpage + 2) .'</a>';  }else{$page2right = NULL;}
if($nowpage + 1 <= $vsego) {$page1right = ' <a class=selpage href= ./tasks.php?pg='. ($nowpage + 1) .'&cat='.$_GET["cat"].'&taskuser='.$_GET["taskuser"].'&tasknum='.$_GET["tasknum"].'&taskpricemax='.$_GET["taskpricemax"].'&taskpricemin='.$_GET["taskpricemin"].'&status='.$_GET["status"].'>'. ($nowpage + 1) .'</a>'; }else{$page1right = NULL;}

?>

						<form action='' method='get' class='taskselect'>
                                <table border="0" width="100%">
                                    <tr>
                                        <td>
                                            Статус:
                                        </td>
                                        <td>
                                            <select style="width: 200px;" name="status">
                                                <option selected value="100">Все задания</option>
                                                <option value="101">VIP - задания</option>
                                                <option value="102">Только многоразовые задания</option>
                                                <option value="4">Только "Избранное"</option>
                                                <option value="0">Над которыми работаю</option>
                                                <option value="3">На проверке</option>
                                                <option value="1">Оплачены</option>
                                                <option value="2">Отклонены</option>
                                            </select>
                                        </td>
                                        <td>
                                            № задания:
                                        </td>
                                        <td>
                                            <input type="edit" name="tasknum" value="" />
                                        </td>

                                    </tr>
                                    <tr>
                                        <td>
                                            Категория:
                                        </td>
                                        <td>
                                            <select style="width: 200px;" name="cat">
                                                <option value="100">Все задания</option>
                                                <option value="1">Только регистрация</option>

                                                <option value="9">Только клики</option>
                                                <option value="2">Регистрация с активностью</option>
                                                <option value="3">Постинг в форумы и/или блоги</option>
                                                <option value="4">Написать статью или пресс-релиз</option>
                                                <option value="5">Оставить отзыв</option>
                                                <option value="6">Проголосовать</option>

                                                <option value="7">Играть в игры</option>
                                                <option value="8">Инвестировать</option>
                                                <option value="0">Прочее</option>
                                            </select>
                                        </td>
                                        <td>
                                            Рекламодатель (ID):
                                        </td>

                                        <td>
                                            <input type="edit" name="taskuser" value="" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Сайт:
                                        </td>
                                        <td>

                                            <input type="edit" name="taskurl" value="" maxlength="30" style="width: 193px;" />
                                        </td>
                                        <td>
                                            Цена:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>от</b>
                                        </td>
                                        <td>
                                            <input type="edit" name="taskpricemin" value="" style="width: 53px;" />
                                            <b>до</b>

                                            <input type="edit" name="taskpricemax" value="" style="width: 53px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" align="center">
                                            <input type="submit" class="button-flat-green1" value="Подобрать задание" />
                                        </td>
                                    </tr>
                                </table>
                            </form>
							
<table class='profile10' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 10px;'>
<tr>
<td><center><? include('inc/rotator.php'); ?></center>
</td>
</tr>
</table>

							<? while($row=mysql_fetch_assoc($sql))
							{
							switch($row["cat"]){
							case '1': $catname="Только регистрация"; break;
							case '2': $catname="Регистрация с активностью"; break;
							case '3': $catname="Постинг в форумы/блоги"; break;
							case '4': $catname="Написать статью/пресс-релиз"; break;
							case '5': $catname="Оставить отзыв"; break;
							case '6': $catname="Проголосовать"; break;
							case '7': $catname="Играть в игры"; break;
							case '8': $catname="Инвестировать"; break;
							case '9': $catname="Только клики"; break;
							case '0': $catname="Прочее";
							break;
							};
							$row["price"]=round($row["price"]*5/6,2);
							$rubles=intval($row["price"]);
							$copies=$row["price"]-$rubles;
							$copies=round($copies,2);
							$copies=$copies*100;
							?>

<table class='profile1' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td class='normal' width='35px'>
<span id='adstatus<?=$row["id"]; ?>'
<? 
$domen=$row["url"];
$domen = str_replace("//","/",$domen);
$domen = str_replace("www.","",$domen);
$domen = explode("/", $domen);
$domen=$domen[1];
if (strlen($domen) > 20) { $domen=substr($domen,0,30).""; }
$nowtime=time();
$daytolong=$nowtime-86400;
$sss=mysql_query("SELECT status,anstime FROM seo_taskstats WHERE ident='".$row["id"]."' and fromid='".$_SESSION["iduser"]."'");
$zzz=mysql_fetch_assoc($sss);
if(mysql_num_rows($sss)==0){
	if($row["inblock"]>0){
	echo "class='taskimghigh' title='Можете выполнить это задание!'>";
	}else{
	echo "class='taskimg' title='Можете выполнить это задание!'>";
	}
}elseif($row["many"]==1 and $zzz["anstime"]<$daytolong){
	if($row["inblock"]>0){
	echo "class='taskimghigh' title='Можете выполнить это задание!'>";
	}else{
	echo "class='taskimg' title='Можете выполнить это задание!'>";
	}
}else{
echo "class='taskimg-ok' title='Задание выполнено и оплачено'>";
} ?></span></td><td class='normal'  width='360px' >
<a href='/tasks.php?view=<?=$row["id"]; ?>' target='_blank'><?=$row["name"]; ?><br /><span class='desctext'><?=$domen?></span>
<br /><span class='desctext2'>№ <?=$row["id"]; ?> - <?=$catname ?></span>
</a></td>
<td class='normal' nowrap='nowrap' valign='top' style='width: 70px; text-align: right;'>
<span class='clickprice' style='margin-right: 12px;'><? if($rubles > -1) echo "<b>$rubles</b><span class='text11'> руб </span>"; ?>
<? if($copies > -1) echo "<b>$copies</b><span class='text11'> коп</span>"; ?></span>
 <span class='rating<?=intval($row["reyt"]); ?>'></span></td>
 </tr></table>
<?}

echo "<br /><table width='100%' style='margin-bottom: 5px;'><tr><td nowrap='nowrap'>";
$nextp = $nowpage + 1;
$lastp = $nowpage - 1;
if($nowpage != 1) { echo "<a class=selpage href='tasks.php?pg=$lastp&cat=".$_GET["cat"]."&taskuser=".$_GET["taskuser"]."&tasknum=".$_GET["tasknum"]."&taskpricemax=".$_GET["taskpricemax"]."&taskpricemin=".$_GET["taskpricemin"]."&status=".$_GET["status"]."'>"; }else{ echo "<span class='textgray'>"; } echo "Назад</span>";if($nowpage==1) { echo "</a>"; } echo "</td>
<td width='90%' align='center'>$page2left $page1left <b> <a class=selpage>$nowpage</a> </b> $page1right $page2right</td>
<td nowrap='nowrap'>";
if($nowpage==$vsego){ echo ""; }else{ echo "<a class=selpage href='tasks.php?pg=$nextp&cat=".$_GET["cat"]."&taskuser=".$_GET["taskuser"]."&tasknum=".$_GET["tasknum"]."&taskpricemax=".$_GET["taskpricemax"]."&taskpricemin=".$_GET["taskpricemin"]."&status=".$_GET["status"]."'>"; } echo "Вперёд"; if($nowpage==$vsego) { echo "</a>"; } echo "</td>
</tr></table>"; ?></div><? 
include('footer.php'); ?>